Bug 217260 - NetworkManager doesn't set shared/restricted on WEP key in bcm43xx iface
NetworkManager doesn't set shared/restricted on WEP key in bcm43xx iface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-25 21:42 EST by David Reed
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Reed 2006-11-25 21:42:54 EST
Description of problem:

NetworkManager says it is setting SHARED key, but key is not set.

Version-Release number of selected component (if applicable):

NetworkManager.x86_64  1:0.6.4-5.fc6

How reproducible:

run NetworkManager in a terminal (rather than as daemon).
Tell NetworkManager applet to connect to accesspoint that uses shared key WEP
Enter key into dialog that pops up, and watch output from terminal window.
It says it sets SHARED, sets key, ...
  
Actual results:

If you type iwconfig while it is associating, it says key is "open" not
"restricted".   Fails to connect.

Expected results:

associated and DHCP success.

Additional info:

If I manually use iwconfig as follows, rather than NetworkManager, it works:

iwconfig eth1 essid myessid key 1234512345 restricted
ifconfig eth1 up
dhclient

and if I do the iwconfig line above before telling NetworkManager to associate
with the accesspoint via the applet, it *also works*

I suspect (reading the code of nm-ap-security-wep.c that the problem is that the
call to make the key "SHARED" occurs prior to the call to set the key, and that
this is not stored in the bcm43xx driver.

Since I don't know whether there are rules about the order of commands to the
wireless extensions, I don't know if this is a bug in NetworkManager or a
problem in bcm43xx driver in the kernel.
Comment 1 Dan Williams 2007-11-13 11:58:05 EST
I believe recent versions of NM handle this correctly and allow you to specify
the auth method for WEP.  Can you test with NM 0.6.5 or later?
Comment 2 Bug Zapper 2008-04-04 00:56:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:57:18 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.